Resolve Agent Session Input Request
curl --request POST \
--url https://api.opensink.com/api/v1/agent-session-input-requests/{id}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"response": {}
}'import requests
url = "https://api.opensink.com/api/v1/agent-session-input-requests/{id}/resolve"
payload = { "response": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({response: {}})
};
fetch('https://api.opensink.com/api/v1/agent-session-input-requests/{id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"title": "<string>",
"message": "<string>",
"schema": {},
"response": {},
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}Agent Session Input Request
Resolve Agent Session Input Request
Submit a response to resolve an input request
POST
/
api
/
v1
/
agent-session-input-requests
/
{id}
/
resolve
Resolve Agent Session Input Request
Authorizations
API key authentication
Path Parameters
Body
application/json
Response
200 - application/json
An input request from an agent session
An input request from an agent session
Unique identifier
Parent session ID
Parent agent ID
Workspace ID
Stable identifier for the agent
Maximum string length:
255Short title displayed in the list
Maximum string length:
255Human-readable explanation shown in UI
JSON Schema describing expected input
User-provided response
Request status
Available options:
pending, resolved Creation timestamp
Resolution timestamp

